--
-- VHDL Architecture FACT_FAD_TB_lib.led_controller_tester.beha
--
-- Created:
--          by - daqct3.UNKNOWN (IHP110)
--          at - 09:49:29 02.03.2011
--
-- using Mentor Graphics HDL Designer(TM) 2009.1 (Build 12)
--
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_arith.ALL;
USE ieee.STD_LOGIC_UNSIGNED.ALL;
LIBRARY FACT_FAD_lib;
USE FACT_FAD_lib.fad_definitions.ALL;

ENTITY led_controller_tester IS
   PORT( 
      additional_flasher_out : IN     std_logic;
      amber                  : IN     std_logic;
      green                  : IN     std_logic;
      red                    : IN     std_logic;
      
      refclk_too_high        : OUT    std_logic;
      refclk_too_low         : OUT    std_logic;
      socks_connected        : OUT    std_logic;
      socks_waiting          : OUT    std_logic;
      trigger                : OUT    std_logic
   );

-- Declarations

END led_controller_tester ;

--
ARCHITECTURE beha OF led_controller_tester IS
BEGIN
  process
    begin
      refclk_too_high <= '0';
      refclk_too_low <= '0';
      socks_connected <= '0';
      socks_waiting <= '1';
      trigger <= '0';
      
      wait for 10000 ms;
      socks_connected <= '1';
      trigger <= '1';
      wait;
      
      
  end process;
    
END ARCHITECTURE beha;

